curl --request POST \
--url https://api.example.com/api/v1/trigger/event/aggregation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"aggregation": [
{
"name": "<string>",
"type": "TERM",
"field": "<string>",
"size": 5,
"aggregation": "<array>",
"sort": [
{
"field": "timestamp",
"mode": "Min",
"order": "Asc"
}
],
"query": "<string>"
}
],
"query": "address:0xdAC17F958D2ee523a2206206994597C13D831ec7",
"timeseries": [
{
"from": 1,
"to": 1
}
],
"trackTotalCount": 10000
}
'{
"total": 123,
"data": {}
}Aggregate using fields from response dto
curl --request POST \
--url https://api.example.com/api/v1/trigger/event/aggregation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"aggregation": [
{
"name": "<string>",
"type": "TERM",
"field": "<string>",
"size": 5,
"aggregation": "<array>",
"sort": [
{
"field": "timestamp",
"mode": "Min",
"order": "Asc"
}
],
"query": "<string>"
}
],
"query": "address:0xdAC17F958D2ee523a2206206994597C13D831ec7",
"timeseries": [
{
"from": 1,
"to": 1
}
],
"trackTotalCount": 10000
}
'{
"total": 123,
"data": {}
}Documentation Index
Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
Use this file to discover all available pages before exploring further.
Authentication
Aggregations config for search results
1Show child attributes
Query string according to https://www.elastic.co/guide/en/elasticsearch/reference/current/query-dsl-query-string-query.html with Default: auto_generate_synonyms_phrase_query=false, fuzzy_max_expansions=0, fuzzy_transpositions=false
"address:0xdAC17F958D2ee523a2206206994597C13D831ec7"
Timestamp ranges for search indices calculation
1Show child attributes
Return total results up to 'count' value. If 0, then total tracking is disabled and return total=0